Bug 273260 - Crop tool does not crop the selection
Summary: Crop tool does not crop the selection
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: git master (please specify the git hash!)
Platform: Unlisted Binaries Linux
: NOR normal
Target Milestone: ---
Assignee: Halla Rempt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-14 11:53 UTC by Dmitry Kazakov
Modified: 2016-01-25 08:38 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Kazakov 2011-05-14 11:53:29 UTC
1) Select something
2) Activate crop tool
3) Press crop

The selection becomes shifted.
Comment 1 Dmitry Kazakov 2011-05-14 13:18:30 UTC
Masks are not cropped as well.
Comment 2 Dmitry Kazakov 2011-05-14 13:40:56 UTC
You cannot crop a single mask with a Crop tool.
Comment 3 Dmitry Kazakov 2011-05-14 18:17:38 UTC
Canvas Size, Resize and other actions do not consider the global selection as well.
Comment 4 Halla Rempt 2011-12-30 15:09:11 UTC
I'll take this one while working on masks.
Comment 5 Halla Rempt 2012-01-02 08:53:37 UTC
Git commit f0bbb8083338274e03b23b11dccd8aef3ab47112 by Boudewijn Rempt.
Committed on 31/12/2011 at 10:55.
Pushed by rempt into branch 'master'.

Make the global selection a mask on the rootlayer

This way, the selection will be cropped, resized etc. together with
the other nodes. It will also make it possible in the future to use the
paint/fill/gradient/filter tools on the selection.

M  +2    -2    krita/image/commands/kis_deselect_global_selection_command.cpp
M  +2    -2    krita/image/commands/kis_reselect_global_selection_command.cpp
M  +0    -5    krita/image/kis_group_layer.cc
M  +44   -15   krita/image/kis_image.cc
M  +8    -2    krita/image/kis_image.h
M  +6    -3    krita/image/kis_layer.cc
M  +2    -2    krita/image/kis_selection_mask.cpp
M  +2    -2    krita/image/kis_selection_mask.h
M  +5    -1    krita/ui/kis_node_model.cpp

http://commits.kde.org/calligra/f0bbb8083338274e03b23b11dccd8aef3ab47112
Comment 6 Dmitry Kazakov 2012-02-10 06:21:17 UTC
Can we close this bug?
Comment 7 Halla Rempt 2012-02-10 07:19:54 UTC
Yes
Comment 8 Zel Limbo 2016-01-25 08:38:29 UTC
*** Removed by KDE Sysadmin - Contained Commercial Advertising ***